Bug 223783 - textproc/kibana5 should create data dir as user www
Summary: textproc/kibana5 should create data dir as user www
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-elastic mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-21 16:16 UTC by Miroslav Lachman
Modified: 2019-08-28 08:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tj)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2017-11-21 16:16:17 UTC
Directorie /usr/local/www/kibana5/data/ should be installed as www:www owner:group because Kibana with plugins needs to create files and subdirectories here. 

Fix: Use this in pkg-plist:

@dir(www,www) %%WWWDIR%%/data
Comment 1 Rene Ladan freebsd_committer 2018-11-06 21:40:37 UTC
Maintainer reset.
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-28 08:08:39 UTC
Fixed with ports r462830.